from django.db import models


class Azienda(models.Model):
    denominazione = models.CharField(max_length=500)
    codice_fiscale = models.CharField(max_length=16)
    piva_paese = models.CharField(max_length=2)
    piva_codice = models.CharField(max_length=16)
    codice_destinatario = models.CharField(max_length=7, default="00000")
    pec = models.EmailField(null=True, default=None, blank=True)
    email = models.EmailField(null=True, default=None, blank=True)
    telefono = models.CharField(max_length=20, null=True, default=None, blank=True)

    def __str__(self):
        return self.denominazione

    class Meta:
        verbose_name = "Azienda"
        verbose_name_plural = "Aziende"
