from django.db import models
from .azienda import Azienda


class Indirizzo(models.Model):
    azienda = models.ForeignKey(Azienda, on_delete=models.CASCADE)
    indirizzo = models.CharField(max_length=60)
    numero_civico = models.CharField(max_length=8, blank=True, null=True, default=None)
    cap = models.CharField(max_length=5, default="00000")
    comune = models.CharField(max_length=60)
    provincia = models.CharField(max_length=2, blank=True, null=True, default=None)
    nazione = models.CharField(max_length=2, default="IT")
    indirizzo_fatturazione = models.BooleanField(default=True)
    indirizzo_spedizione = models.BooleanField(default=True)

    def __str__(self):
        return "Indirizzo"

    class Meta:
        verbose_name = "Indirizzo"
        verbose_name_plural = "Indirizzi"
