from ..models import FatturaAcquisto
from django.contrib import admin


@admin.register(FatturaAcquisto)
class FatturaAcquistoAdmin(admin.ModelAdmin):
    ordering = ("data_sdi",)
    list_display = (
        "numero",
        "data_sdi",
        "data_documento",
        "fornitore",
        "totale",
    )

    fieldsets = (
        (
            "Fornitore",
            {
                "fields": (
                    "fornitore",
                    "numero",
                )
            },
        ),
        (
            "Date",
            {
                "fields": (
                    "data_documento",
                    "data_sdi",
                )
            },
        ),
        (
            "Importi",
            {
                "fields": (
                    "totale",
                    "totale_iva",
                )
            },
        ),
        (
            "File",
            {"fields": ("file",)},
        ),
    )
