from django.db import models


class ChiusuraFiscale(models.Model):
    data = models.DateField(blank=False)
    numero_documenti_commerciali = models.IntegerField(blank=False, default=0)
    totale = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        default=0,
    )
    totale_imposta = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        default=0,
    )

    def __str__(self):
        data = self.data.strftime("%Y-%m-%d")
        return f"Chiusura Fiscale del {data}"

    class Meta:
        verbose_name = "Chiusura Fiscale"
        verbose_name_plural = "Chiusure Fiscali"
