from django.db import models
from minigest.anagrafica.models import Azienda
from ..helpers.upload_dirs import fatture_acquisto_dir
from .fattura import FatturaAbstract


class FatturaAcquisto(FatturaAbstract):
    fornitore = models.ForeignKey(Azienda, on_delete=models.PROTECT)

    file = models.FileField(
        blank=True, null=True, default=None, upload_to=fatture_acquisto_dir
    )

    class Meta:
        verbose_name = "Fattura Acquisto"
        verbose_name_plural = "Fatture Acquisto"
