from django.db import models
from minigest.anagrafica.models import Azienda
from ..helpers.upload_dirs import fatture_vendita_dir
from .fattura import FatturaAbstract


class FatturaVendita(FatturaAbstract):
    cliente = models.ForeignKey(
        Azienda, on_delete=models.PROTECT, related_name="cliente"
    )

    file = models.FileField(
        blank=True, null=True, default=None, upload_to=fatture_vendita_dir
    )

    class Meta:
        verbose_name = "Fattura Vendita"
        verbose_name_plural = "Fatture Vendita"
