# Generated by Django 3.2.9 on 2021-12-07 10:58

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import minigest.magazzino.helpers.updirs


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Articolo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=255)),
                ('slug', models.SlugField(unique=True)),
                ('prezzo', models.DecimalField(decimal_places=2, max_digits=19, validators=[django.core.validators.MinValueValidator(0.0)])),
                ('prezzo_a_partire', models.BooleanField()),
                ('descrizione', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Articolo',
                'verbose_name_plural': 'Articoli',
            },
        ),
        migrations.CreateModel(
            name='Servizio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=255)),
                ('slug', models.SlugField(unique=True)),
                ('wallpaper', models.ImageField(blank=True, default=None, upload_to=minigest.magazzino.helpers.updirs.wallpapers_dir)),
                ('descrizione_breve', models.TextField(max_length=500)),
                ('descrizione', models.TextField(blank=True, default=None)),
            ],
            options={
                'verbose_name': 'Servizio',
                'verbose_name_plural': 'Servizi',
            },
        ),
        migrations.CreateModel(
            name='Immagine',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('alt', models.CharField(max_length=255)),
                ('file', models.ImageField(blank=True, default=None, upload_to=minigest.magazzino.helpers.updirs.art_file_dir)),
                ('articolo', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='magazzino.articolo')),
            ],
            options={
                'verbose_name': 'Immagine',
                'verbose_name_plural': 'Immagini',
            },
        ),
        migrations.AddField(
            model_name='articolo',
            name='servizio',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='magazzino.servizio'),
        ),
    ]
