from django.db import models
from .articolo import Articolo
from ..helpers import art_file_dir


class ArticoloImmagine(models.Model):
    articolo = models.ForeignKey(Articolo, on_delete=models.CASCADE)
    alt = models.CharField(max_length=255)
    file = models.ImageField(blank=True, default=None, upload_to=art_file_dir)

    def __str__(self):
        return self.alt

    class Meta:
        verbose_name = "Immagine articolo"
        verbose_name_plural = "Immagini articolo"
